﻿init:
    $ library.translations[u'Are you sure you want to quit?'] = u'本当に終了しますか？'
    $ library.translations[u'Yes'] = u'はい '
    $ library.translations[u'No'] = u'いいえ'
    $ library.translations[u'Display'] = u'表示'
    $ library.translations[u'Window'] = u'ウィンドゥ'
    $ library.translations[u'Fullscreen'] = u'フルスクリーン'

    $ config.load_before_transition = True
    $ config.predict_statements = 32
    $ config.image_cache_size = 50
    $ config.intra_transition = dissolve

    $ fdissolve = Dissolve(0.25)
    $ sdissolve = Dissolve(1.5)

    image splash = "splash.jpg"
    
    image map ground = "map_ground.jpg"
    image map hover = "map_hover.jpg"

    image chapter1-0a = "chapter1-0a.jpg"
    image chapter2-0a = "chapter2-0a.jpg"
    image chapter3-0a = "chapter3-0a.jpg"

    image chapter4-0a = "chapter4-0a.jpg"
    image chapter4-0b = "chapter4-0b.jpg"
    image chapter4-1a = anim.Animation(
        "chapter4-1a_0.jpg", 0.08,
        "chapter4-1a_1.jpg", 0.08,
        "chapter4-1a_2.jpg", 0.08,
        "chapter4-1a_3.jpg", 0.08,
        "chapter4-1a_4.jpg", 0.08,
        "chapter4-1a_5.jpg", 0.08,
        "chapter4-1a_6.jpg", 0.08,
        "chapter4-1a_7.jpg", 0.08
        )
    image chapter4-1b = anim.Animation(
        "chapter4-1b_0.jpg", 0.08,
        "chapter4-1b_1.jpg", 0.08,
        "chapter4-1b_2.jpg", 0.08,
        "chapter4-1b_3.jpg", 0.08,
        "chapter4-1b_4.jpg", 0.08,
        "chapter4-1b_5.jpg", 0.08,
        "chapter4-1b_6.jpg", 0.08,
        "chapter4-1b_7.jpg", 0.08
        )
    image chapter4-1c = "chapter4-1c.jpg"
    image chapter4-1d = "chapter4-1d.jpg"
    image chapter4-1e = "chapter4-1e.jpg"
    image chapter4-2a = anim.Animation(
        "chapter4-2a_0.jpg", 0.08,
        "chapter4-2a_1.jpg", 0.08,
        "chapter4-2a_2.jpg", 0.08,
        "chapter4-2a_3.jpg", 0.08,
        "chapter4-2a_4.jpg", 0.08,
        "chapter4-2a_5.jpg", 0.08,
        "chapter4-2a_6.jpg", 0.08,
        "chapter4-2a_7.jpg", 0.08
        )
    image chapter4-2b = anim.Animation(
        "chapter4-2b_0.jpg", 0.08,
        "chapter4-2b_1.jpg", 0.08,
        "chapter4-2b_2.jpg", 0.08,
        "chapter4-2b_3.jpg", 0.08,
        "chapter4-2b_4.jpg", 0.08,
        "chapter4-2b_5.jpg", 0.08,
        "chapter4-2b_6.jpg", 0.08,
        "chapter4-2b_7.jpg", 0.08
        )
    image chapter4-2c = anim.Animation(
        "chapter4-2c_0.jpg", 0.08,
        "chapter4-2c_1.jpg", 0.08,
        "chapter4-2c_2.jpg", 0.08,
        "chapter4-2c_3.jpg", 0.08,
        "chapter4-2c_4.jpg", 0.08,
        "chapter4-2c_5.jpg", 0.08,
        "chapter4-2c_6.jpg", 0.08,
        "chapter4-2c_7.jpg", 0.08
        )
    image chapter4-2d = "chapter4-2d.jpg"
    image chapter4-2e = "chapter4-2e.jpg"
    image chapter4-2f = "chapter4-2f.jpg"
    image chapter4-3a = anim.Animation(
        "chapter4-3a_0.jpg", 0.08,
        "chapter4-3a_1.jpg", 0.08,
        "chapter4-3a_2.jpg", 0.08,
        "chapter4-3a_3.jpg", 0.08,
        "chapter4-3a_4.jpg", 0.08,
        "chapter4-3a_5.jpg", 0.08,
        "chapter4-3a_6.jpg", 0.08,
        "chapter4-3a_7.jpg", 0.08
        )
    image chapter4-3b = anim.Animation(
        "chapter4-3b_0.jpg", 0.08,
        "chapter4-3b_1.jpg", 0.08,
        "chapter4-3b_2.jpg", 0.08,
        "chapter4-3b_3.jpg", 0.08,
        "chapter4-3b_4.jpg", 0.08,
        "chapter4-3b_5.jpg", 0.08,
        "chapter4-3b_6.jpg", 0.08,
        "chapter4-3b_7.jpg", 0.08
        )
    image chapter4-3c = "chapter4-3c.jpg"
    image chapter4-3d = "chapter4-3d.jpg"
    
    image chapter5-0a = "chapter5-0a.jpg"
    image chapter6-0a = "chapter6-0a.jpg"
    image chapter7-0a = "chapter7-0a.jpg"

init python:
    def pause(timeout):
        ui.pausebehavior(timeout)
        ui.saybehavior()
        rv = ui.interact()
        if rv:
            renpy.checkpoint()
        return rv

    config.keymap['rollforward'] = [ ]
    config.keymap['dismiss'].append("mousedown_5")
    config.keymap['dismiss'].append("K_PAGEDOWN")

label splashscreen:
    $ renpy.pause(0)
    scene black
    with Pause(0.2)

    show splash
    with dissolve
    with Pause(1.6)

    scene black
    with dissolve
    with Pause(0.2)

    return

label main_menu:
    python hide:
        for i in range(0, 8):
            renpy.music.stop(channel=i, fadeout=0.5)

    jump main_menu_screen

# The game starts here.
label start:
    python hide:
        for i in range(0, 8):
            renpy.music.stop(channel=i, fadeout=0.5)
    jump map_screen

label map_screen:
    scene map ground
    with dissolve
    if renpy.music.get_playing() != 'main_bgm.mp3':
        $ renpy.music.play('main_bgm.mp3', channel=7, fadein=0.5)
    $ renpy.music.set_volume(0.7, channel=7)
    $ renpy.block_rollback()
label map:
    $ renpy.block_rollback()
    $ result = renpy.imagemap("map_ground.jpg", "map_hover.jpg", [
        (150, 200, 265, 335, "map_chapter1"),
        (475, 170, 600, 290, "map_chapter2"),
        (625, 435, 750, 560, "map_chapter3"),
        (155, 380, 270, 505, "map_chapter4"),
        (615, 40, 735, 155, "map_chapter5"),
        (285, 220, 400, 340, "map_chapter6"), 
        (488, 353, 599, 461, "map_chapter7"),
        ], focus="imagemap")
    if result == "map_chapter1":
        menu:
            "魔法ショップの魔女が弟子の猫娘に薬を飲ませ、ふたなりに変化させてしまいます。"
            "進む":
                jump chapter1
            "戻る":
                jump map
                
    elif result == "map_chapter2":
        menu:
            "冒険者がオークの群れによってレイプされています。"
            "進む":
                jump chapter2
            "戻る":
                jump map
                
    elif result == "map_chapter3":
        menu:
            "魔女が岩ゴーレムを性の魔力によって蘇らせます。"
            "進む":
                jump chapter3
            "戻る":
                jump map 
                
    elif result == "map_chapter4":
        menu:
            "村娘が森の巨人と親密なロマンスにはまっています。"
            "進む":
                jump chapter4
            "戻る":
                jump map
                
    elif result == "map_chapter5":
        menu:
            "邪悪な尼侶が悪魔の呪文を完成させるには天使の精子が必要です。"
            "進む":
                jump chapter5
            "戻る":
                jump map
                
    elif result == "map_chapter6":
        menu:
            "墓泥棒の女性が複数の発情したグ－ルによってレイプされています。"
            "進む":
                jump chapter6
            "戻る":
                jump map
                
    elif result == "map_chapter7":
        menu:
            "ふたなりエルフは強力な魔法を唱える為に、セクシャルエナジーが必要です。"
            "進む":
                jump chapter7
            "戻る":
                jump map

label chapter1:
    $ renpy.block_rollback()
    scene chapter1-0a
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('magic_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=1)
    $ renpy.music.play('magic_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(0.8, channel=3)
    $ renpy.music.set_volume(1.0, channel=2)
    $ renpy.music.set_volume(1.0, channel=5)
    $ renpy.music.set_volume(1.0, channel=0)
    with dissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()

    jump start

label chapter2:
    $ renpy.block_rollback()
    scene chapter2-0a
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('orcs_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=1)
    $ renpy.music.play('orcs_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(1.1, channel=3)
    $ renpy.music.set_volume(1.0, channel=2)
    $ renpy.music.set_volume(0.8, channel=5)
    $ renpy.music.set_volume(1.0, channel=0)
    with dissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()

    jump start


label chapter3:
    $ renpy.block_rollback()
    scene chapter3-0a
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('golem_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=1)
    $ renpy.music.play('golem_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(1.1, channel=3)
    $ renpy.music.set_volume(1.0, channel=2)
    $ renpy.music.set_volume(0.7, channel=5)
    $ renpy.music.set_volume(1.0, channel=0)
    with dissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()

    jump start


label chapter4:
    $ renpy.block_rollback()
    scene chapter4-0a
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('giant_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.7, channel=1)
    $ renpy.music.play('giant_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(1.0, channel=3)
    $ renpy.music.set_volume(1.0, channel=2)
    $ renpy.music.set_volume(0.8, channel=5)
    $ renpy.music.set_volume(1.0, channel=0)
    with dissolve
    $ renpy.pause()
    
    scene chapter4-0b
    $ renpy.sound.play('rustle.mp3', channel=5)
    with dissolve
    "お試しバージョンのみ。のフルバージョンを購入してください。"
    $ renpy.pause()
    
label chapter4_1_start:
    $ renpy.music.set_volume(0.6, channel=1)
    $ renpy.music.play('giant1.mp3', channel=2, fadein=0.25)
    $ renpy.music.set_volume(0.9, channel=2)
    while True:
        scene chapter4-1a
        if pause(3.2):
            jump chapter4_1_done
            
        scene chapter4-1b
        if pause(2.56):
            jump chapter4_1_done
    
label chapter4_1_done:
    scene chapter4-1c
    $ renpy.music.stop(channel=2, fadeout=0.5)
    $ renpy.music.stop(channel=4, fadeout=0.5)
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.stop(channel=0, fadeout=0.5)
    $ renpy.music.set_volume(1.0, channel=4)
    $ renpy.music.set_volume(0.7, channel=2)
    $ renpy.music.set_volume(0.8, channel=7)
    $ renpy.music.set_volume(0.8, channel=0)
    $ renpy.sound.play('rustle.mp3', channel=5)
    with dissolve
    "お試しバージョンのみ。のフルバージョンを購入してください。"
    $ renpy.pause()
    
    scene chapter4-1d
    $ renpy.sound.play('squish2.wav', channel=5)
    with fdissolve
    $ renpy.pause()
    
    scene chapter4-1e
    $ renpy.sound.play('ahh.mp3', channel=2)
    with fdissolve
    $ renpy.pause()

label chapter4_2_start:
    $ renpy.music.play('giant2.mp3', channel=2, fadein=0.25)
    $ renpy.music.set_volume(0.7, channel=2)
    while True:
        scene chapter4-2a
        if pause(2.56):
            jump chapter4_2_done
            
        scene chapter4-2b
        if pause(2.56):
            jump chapter4_2_done
            
        scene chapter4-2c
        if pause(1.92):
            jump chapter4_2_done
            
label chapter4_2_done:
    scene chapter4-2d
    $ renpy.music.stop(channel=2, fadeout=0.5)
    $ renpy.music.stop(channel=4, fadeout=0.5)
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.stop(channel=0, fadeout=0.5)
    $ renpy.music.set_volume(1.0, channel=4)
    $ renpy.music.set_volume(1.0, channel=2)
    $ renpy.music.set_volume(0.8, channel=7)
    $ renpy.music.set_volume(0.8, channel=0)
    $ renpy.sound.play('sigh.mp3', channel=5)
    with dissolve
    "お試しバージョンのみ。のフルバージョンを購入してください。"
    $ renpy.pause()
    
    scene chapter4-2e
    with dissolve
    $ renpy.pause()
    
    scene chapter4-2f
    $ renpy.sound.play('squish3.wav', channel=5)
    with fdissolve
    $ renpy.pause()
    
label chapter4_3_start:
    $ renpy.music.play('giant3.mp3', channel=2, fadein=0.25)
    $ renpy.music.set_volume(0.6, channel=2)
    while True:
        scene chapter4-3a
        if pause(2.56):
            jump chapter4_3_done
            
        scene chapter4-3b
        if pause(2.56):
            jump chapter4_3_done
    
label chapter4_3_done:
    scene chapter4-3c
    $ renpy.music.stop(channel=4, fadeout=0.5)
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.stop(channel=0, fadeout=0.5)
    $ renpy.music.set_volume(1.0, channel=4)
    $ renpy.music.set_volume(1.0, channel=2)
    $ renpy.music.set_volume(0.8, channel=7)
    $ renpy.music.set_volume(0.8, channel=0)
    $ renpy.music.play('giant4.mp3', channel=2, loop=False, fadein=0.25)
    $ renpy.music.set_volume(0.5, channel=2)
    with dissolve
    "お試しバージョンのみ。のフルバージョンを購入してください。"
    $ renpy.pause()
    
    scene chapter4-3d
    $ renpy.music.stop(channel=2, fadeout=1.0)
    with sdissolve
    $ renpy.pause()

    jump start

label chapter5:
    $ renpy.block_rollback()
    scene chapter5-0a
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('angel_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.4, channel=1)
    $ renpy.music.play('angel_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=3)
    $ renpy.music.set_volume(0.7, channel=2)
    $ renpy.music.set_volume(1.0, channel=5)
    $ renpy.music.set_volume(1.0, channel=0)
    with dissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()

    jump start

label chapter6:
    $ renpy.block_rollback()
    scene chapter6-0a
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('thief_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=1)
    $ renpy.music.play('thief_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(1.1, channel=3)
    $ renpy.music.set_volume(1.0, channel=2)
    $ renpy.music.set_volume(1.0, channel=5)
    $ renpy.music.set_volume(1.0, channel=0)
    with dissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()

    jump start

label chapter7:
    $ renpy.block_rollback()
    scene chapter7-0a
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('elves_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=1)
    $ renpy.music.play('giant_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(1.2, channel=3)
    $ renpy.music.set_volume(1.0, channel=2)
    $ renpy.music.set_volume(0.8, channel=5)
    $ renpy.music.set_volume(0.4, channel=4)
    $ renpy.music.set_volume(0.1, channel=0)
    with dissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()

    jump start